Changeset 94 for ThirdParty/Lapack


Ignore:
Timestamp:
Jul 10, 2006 2:48:38 PM (15 years ago)
Author:
andreasw
Message:

updated according to changes in BuildTools?

Location:
ThirdParty/Lapack/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/Makefile.in

    r79 r94  
    119119CCDEPMODE = @CCDEPMODE@
    120120CFLAGS = @CFLAGS@
    121 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    122 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    123121CPP = @CPP@
    124122CPPFLAGS = @CPPFLAGS@
     
    128126CXXFLAGS = @CXXFLAGS@
    129127CYGPATH_W = @CYGPATH_W@
     128DBG_FFLAGS = @DBG_FFLAGS@
    130129DEFS = @DEFS@
    131130DEPDIR = @DEPDIR@
     
    160159MPIF77 = @MPIF77@
    161160OBJEXT = @OBJEXT@
     161OPT_FFLAGS = @OPT_FFLAGS@
    162162PACKAGE = @PACKAGE@
    163163PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  • ThirdParty/Lapack/trunk/configure

    r85 r94  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT ADD_FFLAGS MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS LDFLAGS ac_ct_F77 EXEEXT OBJEXT MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE CC CFLAGS CPPFLAGS ac_ct_CC DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL LT_LDFLAGS RPATH_FLAGS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    914914ac_cv_env_target_alias_set=${target_alias+set}
    915915ac_cv_env_target_alias_value=$target_alias
     916ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     917ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
     918ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
     919ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
     920ac_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     921ac_env_DBG_FFLAGS_value=$DBG_FFLAGS
     922ac_cv_env_DBG_FFLAGS_set=${DBG_FFLAGS+set}
     923ac_cv_env_DBG_FFLAGS_value=$DBG_FFLAGS
     924ac_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     925ac_env_OPT_FFLAGS_value=$OPT_FFLAGS
     926ac_cv_env_OPT_FFLAGS_set=${OPT_FFLAGS+set}
     927ac_cv_env_OPT_FFLAGS_value=$OPT_FFLAGS
    916928ac_env_F77_set=${F77+set}
    917929ac_env_F77_value=$F77
     
    926938ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
    927939ac_cv_env_LDFLAGS_value=$LDFLAGS
    928 ac_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    929 ac_env_ADD_FFLAGS_value=$ADD_FFLAGS
    930 ac_cv_env_ADD_FFLAGS_set=${ADD_FFLAGS+set}
    931 ac_cv_env_ADD_FFLAGS_value=$ADD_FFLAGS
    932940ac_env_MPIF77_set=${MPIF77+set}
    933941ac_env_MPIF77_value=$MPIF77
     
    10431051  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10441052  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1045   --enable-debug          compile with debug options and runtime tests
     1053  --enable-debug          compile all projects with debug options tests
     1054  --enable-debug-lapack compile this project (Lapack) with debug options
    10461055  --enable-static[=PKGS]
    10471056                          build static libraries [default=no]
     
    10591068  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10601069  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1070  --with-lapack-verbosity specify the debug verbosity level for project Lapack
     1071  --with-lapack-checklevel
     1072                          specify the sanity check level for project Lapack
    10611073  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10621074  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    10661078
    10671079Some influential environment variables:
     1080  ADD_FFLAGS  Additional Fortran compiler options
     1081  DBG_FFLAGS  Debug Fortran compiler options
     1082  OPT_FFLAGS  Optimize Fortran compiler options
    10681083  F77         Fortran 77 compiler command
    10691084  FFLAGS      Fortran 77 compiler flags
    10701085  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
    10711086              nonstandard directory <lib dir>
    1072   ADD_FFLAGS  Additional Fortran compiler options
    10731087  MPIF77      Fortran MPI Compiler
    10741088  CC          C compiler command
     
    16471661  enableval="$enable_debug"
    16481662  case "${enableval}" in
    1649                    yes) coin_debug_compile=true
    1650 
    1651 cat >>confdefs.h <<\_ACEOF
    1652 #define COIN_DEBUG 1
    1653 _ACEOF
    1654 
    1655                      enable_shared=no
    1656                      ;;
    1657                    no)  coin_debug_compile=false
    1658                      ;;
    1659                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1663   yes) coin_debug_compile=true
     1664        enable_shared=no
     1665        ;;
     1666   no)  coin_debug_compile=false
     1667        ;;
     1668   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    16601669echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    16611670   { (exit 1); exit 1; }; }
    1662                      ;;
    1663                  esac
     1671        ;;
     1672esac
    16641673else
    16651674  coin_debug_compile=false
    16661675fi;
     1676
     1677# Check whether --enable-debug-lapack or --disable-debug-lapack was given.
     1678if test "${enable_debug_lapack+set}" = set; then
     1679  enableval="$enable_debug_lapack"
     1680  case "${enableval}" in
     1681    yes) coin_debug_compile=true
     1682         enable_shared=no
     1683         ;;
     1684    no)  coin_debug_compile=false
     1685         ;;
     1686    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-lapack" >&5
     1687echo "$as_me: error: bad value ${enableval} for --enable-debug-lapack" >&2;}
     1688   { (exit 1); exit 1; }; }
     1689         ;;
     1690 esac
     1691else
     1692  :
     1693fi;
     1694
     1695 # m4_ifvaln([Lapack],
    16671696
    16681697if test $coin_debug_compile = true; then
     
    16751704
    16761705
    1677 
    1678 if test "$coin_debug_compile" = true; then
    1679   COIN_DEBUG_TRUE=
    1680   COIN_DEBUG_FALSE='#'
    1681 else
    1682   COIN_DEBUG_TRUE='#'
    1683   COIN_DEBUG_FALSE=
    1684 fi
     1706# Check whether --with-lapack-verbosity or --without-lapack-verbosity was given.
     1707if test "${with_lapack_verbosity+set}" = set; then
     1708  withval="$with_lapack_verbosity"
     1709  coin_lapack_verbosity=$withval
     1710else
     1711  coin_lapack_verbosity=0
     1712fi;
     1713
     1714cat >>confdefs.h <<_ACEOF
     1715#define COIN_LAPACK_VERBOSITY $coin_lapack_verbosity
     1716_ACEOF
     1717
     1718
     1719
     1720# Check whether --with-lapack-checklevel or --without-lapack-checklevel was given.
     1721if test "${with_lapack_checklevel+set}" = set; then
     1722  withval="$with_lapack_checklevel"
     1723  coin_lapack_checklevel=$withval
     1724else
     1725  coin_lapack_checklevel=0
     1726fi;
     1727
     1728cat >>confdefs.h <<_ACEOF
     1729#define COIN_LAPACK_CHECKLEVEL $coin_lapack_checklevel
     1730_ACEOF
     1731
     1732
     1733# We use the following variable to have a string with the upper case
     1734# version of the project name
     1735COIN_PRJCT=LAPACK
     1736
     1737
     1738 # m4_ifvaln([Lapack],
    16851739
    16861740
     
    17031757
    17041758
     1759
     1760
     1761
     1762
    17051763coin_has_f77=yes
    17061764
     
    17081766case $build in
    17091767  *-cygwin* | *-mingw*)
    1710              comps="gfortran g77 ifort" ;;
    1711   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc" ;;
     1768             comps="gfortran g77 ifort fl32" ;;
     1769  *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    17121770esac
    17131771
    17141772# We delete the cached value, since the test might not have been
    17151773# performed with out choise of compilers earlier
    1716 ac_cv_prog_F77=
     1774$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    17171775ac_ext=f
    17181776ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    18071865
    18081866# Provide some information about the compiler.
    1809 echo "$as_me:1809:" \
     1867echo "$as_me:1867:" \
    18101868     "checking for Fortran 77 compiler version" >&5
    18111869ac_compiler=`set X $ac_compile; echo $2`
     
    21332191FFLAGS="$save_fflags"
    21342192
    2135 echo "$as_me:$LINENO: checking for Fortran compiler options" >&5
    2136 echo $ECHO_N "checking for Fortran compiler options... $ECHO_C" >&6
    2137 if test "${coin_cv_fflags+set}" = set; then
    2138   echo $ECHO_N "(cached) $ECHO_C" >&6
    2139 else
    2140   if test x"$FFLAGS" = x; then
     2193# Check if a project specific FFLAGS variable has been set
     2194if test x$COIN_PRJCT != x; then
     2195  eval coin_tmp=\${${COIN_PRJCT}_FFLAGS+set}
     2196  if test x$coin_tmp = xset; then
     2197    eval FFLAGS=\${${COIN_PRJCT}_FFLAGS}
     2198  fi
     2199fi
     2200
     2201if test x"$FFLAGS" = x; then
    21412202
    21422203  coin_add_fflags=
     
    22822343  fi
    22832344
    2284   if test "$coin_debug_compile" = true; then
    2285     FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
    2286   else
    2287     if test -z "$coin_opt_fflags"; then
    2288       # Try if -O option works if nothing else is set
    2289       FFLAGS=-O
    2290       cat >conftest.$ac_ext <<_ACEOF
     2345  if test -z "$coin_opt_fflags"; then
     2346    # Try if -O option works if nothing else is set
     2347    FFLAGS=-O
     2348    cat >conftest.$ac_ext <<_ACEOF
    22912349      program main
    22922350      integer i
     
    23232381rm -f conftest.err conftest.$ac_objext \
    23242382      conftest$ac_exeext conftest.$ac_ext
    2325     fi
    2326     FFLAGS="$coin_opt_fflags $coin_add_fflags $coin_warn_fflags"
    23272383  fi
    2328 fi
    2329 
    2330 # Check if user wants to have additional FFLAGS options
    2331 
    2332 if test x"$ADD_FFLAGS" != x; then
     2384
     2385  if test x${DBG_FFLAGS+set} != xset; then
     2386    DBG_FFLAGS="$coin_dbg_fflags $coin_add_fflags $coin_warn_fflags"
     2387  fi
     2388  if test x${OPT_FFLAGS+set} != xset; then
     2389    OPT_FFLAGS="$coin_opt_fflags $coin_add_fflags -DNDEBUG $coin_warn_fflags"
     2390  fi
     2391
     2392  DBG_FFLAGS="$DBG_FFLAGS $ADD_FFLAGS"
     2393  OPT_FFLAGS="$OPT_FFLAGS $ADD_FFLAGS"
     2394
     2395  if test "$coin_debug_compile" = "true"; then
     2396    FFLAGS="$DBG_FFLAGS"
     2397  else
     2398    FFLAGS="$OPT_FFLAGS"
     2399  fi
     2400else
    23332401  FFLAGS="$FFLAGS $ADD_FFLAGS"
     2402  if test x${DBG_FFLAGS+set} != xset; then
     2403    DBG_FFLAGS="$FFLAGS"
     2404  fi
     2405  if test x${OPT_FFLAGS+set} != xset; then
     2406    OPT_FFLAGS="$FFLAGS"
     2407  fi
    23342408fi
    23352409
     
    24162490  fi
    24172491fi
    2418 coin_cv_fflags="$FFLAGS"
    2419 
    2420 fi
    2421 echo "$as_me:$LINENO: result: $coin_cv_fflags" >&5
    2422 echo "${ECHO_T}$coin_cv_fflags" >&6 # AC_CACHE_CHECK([for Fortran compiler options FFLAGS]
    2423 FFLAGS="$coin_cv_fflags"
     2492
     2493{ echo "$as_me:$LINENO: Fortran compiler options are: $FFLAGS" >&5
     2494echo "$as_me: Fortran compiler options are: $FFLAGS" >&6;}
    24242495
    24252496
     
    43134384*-*-irix6*)
    43144385  # Find out which ABI we are using.
    4315   echo '#line 4315 "configure"' > conftest.$ac_ext
     4386  echo '#line 4386 "configure"' > conftest.$ac_ext
    43164387  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    43174388  (eval $ac_compile) 2>&5
     
    67426813   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    67436814   -e 's:$: $lt_compiler_flag:'`
    6744    (eval echo "\"\$as_me:6744: $lt_compile\"" >&5)
     6815   (eval echo "\"\$as_me:6815: $lt_compile\"" >&5)
    67456816   (eval "$lt_compile" 2>conftest.err)
    67466817   ac_status=$?
    67476818   cat conftest.err >&5
    6748    echo "$as_me:6748: \$? = $ac_status" >&5
     6819   echo "$as_me:6819: \$? = $ac_status" >&5
    67496820   if (exit $ac_status) && test -s "$ac_outfile"; then
    67506821     # The compiler can only warn and ignore the option if not recognized
     
    70107081   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70117082   -e 's:$: $lt_compiler_flag:'`
    7012    (eval echo "\"\$as_me:7012: $lt_compile\"" >&5)
     7083   (eval echo "\"\$as_me:7083: $lt_compile\"" >&5)
    70137084   (eval "$lt_compile" 2>conftest.err)
    70147085   ac_status=$?
    70157086   cat conftest.err >&5
    7016    echo "$as_me:7016: \$? = $ac_status" >&5
     7087   echo "$as_me:7087: \$? = $ac_status" >&5
    70177088   if (exit $ac_status) && test -s "$ac_outfile"; then
    70187089     # The compiler can only warn and ignore the option if not recognized
     
    71147185   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71157186   -e 's:$: $lt_compiler_flag:'`
    7116    (eval echo "\"\$as_me:7116: $lt_compile\"" >&5)
     7187   (eval echo "\"\$as_me:7187: $lt_compile\"" >&5)
    71177188   (eval "$lt_compile" 2>out/conftest.err)
    71187189   ac_status=$?
    71197190   cat out/conftest.err >&5
    7120    echo "$as_me:7120: \$? = $ac_status" >&5
     7191   echo "$as_me:7191: \$? = $ac_status" >&5
    71217192   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    71227193   then
     
    94599530  lt_status=$lt_dlunknown
    94609531  cat > conftest.$ac_ext <<EOF
    9461 #line 9461 "configure"
     9532#line 9532 "configure"
    94629533#include "confdefs.h"
    94639534
     
    95599630  lt_status=$lt_dlunknown
    95609631  cat > conftest.$ac_ext <<EOF
    9561 #line 9561 "configure"
     9632#line 9632 "configure"
    95629633#include "confdefs.h"
    95639634
     
    1190311974   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1190411975   -e 's:$: $lt_compiler_flag:'`
    11905    (eval echo "\"\$as_me:11905: $lt_compile\"" >&5)
     11976   (eval echo "\"\$as_me:11976: $lt_compile\"" >&5)
    1190611977   (eval "$lt_compile" 2>conftest.err)
    1190711978   ac_status=$?
    1190811979   cat conftest.err >&5
    11909    echo "$as_me:11909: \$? = $ac_status" >&5
     11980   echo "$as_me:11980: \$? = $ac_status" >&5
    1191011981   if (exit $ac_status) && test -s "$ac_outfile"; then
    1191111982     # The compiler can only warn and ignore the option if not recognized
     
    1200712078   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1200812079   -e 's:$: $lt_compiler_flag:'`
    12009    (eval echo "\"\$as_me:12009: $lt_compile\"" >&5)
     12080   (eval echo "\"\$as_me:12080: $lt_compile\"" >&5)
    1201012081   (eval "$lt_compile" 2>out/conftest.err)
    1201112082   ac_status=$?
    1201212083   cat out/conftest.err >&5
    12013    echo "$as_me:12013: \$? = $ac_status" >&5
     12084   echo "$as_me:12084: \$? = $ac_status" >&5
    1201412085   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1201512086   then
     
    1357713648   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357813649   -e 's:$: $lt_compiler_flag:'`
    13579    (eval echo "\"\$as_me:13579: $lt_compile\"" >&5)
     13650   (eval echo "\"\$as_me:13650: $lt_compile\"" >&5)
    1358013651   (eval "$lt_compile" 2>conftest.err)
    1358113652   ac_status=$?
    1358213653   cat conftest.err >&5
    13583    echo "$as_me:13583: \$? = $ac_status" >&5
     13654   echo "$as_me:13654: \$? = $ac_status" >&5
    1358413655   if (exit $ac_status) && test -s "$ac_outfile"; then
    1358513656     # The compiler can only warn and ignore the option if not recognized
     
    1368113752   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1368213753   -e 's:$: $lt_compiler_flag:'`
    13683    (eval echo "\"\$as_me:13683: $lt_compile\"" >&5)
     13754   (eval echo "\"\$as_me:13754: $lt_compile\"" >&5)
    1368413755   (eval "$lt_compile" 2>out/conftest.err)
    1368513756   ac_status=$?
    1368613757   cat out/conftest.err >&5
    13687    echo "$as_me:13687: \$? = $ac_status" >&5
     13758   echo "$as_me:13758: \$? = $ac_status" >&5
    1368813759   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1368913760   then
     
    1588815959   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1588915960   -e 's:$: $lt_compiler_flag:'`
    15890    (eval echo "\"\$as_me:15890: $lt_compile\"" >&5)
     15961   (eval echo "\"\$as_me:15961: $lt_compile\"" >&5)
    1589115962   (eval "$lt_compile" 2>conftest.err)
    1589215963   ac_status=$?
    1589315964   cat conftest.err >&5
    15894    echo "$as_me:15894: \$? = $ac_status" >&5
     15965   echo "$as_me:15965: \$? = $ac_status" >&5
    1589515966   if (exit $ac_status) && test -s "$ac_outfile"; then
    1589615967     # The compiler can only warn and ignore the option if not recognized
     
    1615616227   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615716228   -e 's:$: $lt_compiler_flag:'`
    16158    (eval echo "\"\$as_me:16158: $lt_compile\"" >&5)
     16229   (eval echo "\"\$as_me:16229: $lt_compile\"" >&5)
    1615916230   (eval "$lt_compile" 2>conftest.err)
    1616016231   ac_status=$?
    1616116232   cat conftest.err >&5
    16162    echo "$as_me:16162: \$? = $ac_status" >&5
     16233   echo "$as_me:16233: \$? = $ac_status" >&5
    1616316234   if (exit $ac_status) && test -s "$ac_outfile"; then
    1616416235     # The compiler can only warn and ignore the option if not recognized
     
    1626016331   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1626116332   -e 's:$: $lt_compiler_flag:'`
    16262    (eval echo "\"\$as_me:16262: $lt_compile\"" >&5)
     16333   (eval echo "\"\$as_me:16333: $lt_compile\"" >&5)
    1626316334   (eval "$lt_compile" 2>out/conftest.err)
    1626416335   ac_status=$?
    1626516336   cat out/conftest.err >&5
    16266    echo "$as_me:16266: \$? = $ac_status" >&5
     16337   echo "$as_me:16337: \$? = $ac_status" >&5
    1626716338   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1626816339   then
     
    1975819829   { (exit 1); exit 1; }; }
    1975919830fi
    19760 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    19761   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    19762 Usually this means the macro was only invoked conditionally." >&5
    19763 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    19764 Usually this means the macro was only invoked conditionally." >&2;}
    19765    { (exit 1); exit 1; }; }
    19766 fi
    1976719831if test -z "${MAINTAINER_MODE_TRUE}" && test -z "${MAINTAINER_MODE_FALSE}"; then
    1976819832  { { echo "$as_me:$LINENO: error: conditional \"MAINTAINER_MODE\" was never defined.
     
    2033820402s,@build_vendor@,$build_vendor,;t t
    2033920403s,@build_os@,$build_os,;t t
    20340 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    20341 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
     20404s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
     20405s,@DBG_FFLAGS@,$DBG_FFLAGS,;t t
     20406s,@OPT_FFLAGS@,$OPT_FFLAGS,;t t
    2034220407s,@F77@,$F77,;t t
    2034320408s,@FFLAGS@,$FFLAGS,;t t
     
    2034620411s,@EXEEXT@,$EXEEXT,;t t
    2034720412s,@OBJEXT@,$OBJEXT,;t t
    20348 s,@ADD_FFLAGS@,$ADD_FFLAGS,;t t
    2034920413s,@MPIF77@,$MPIF77,;t t
    2035020414s,@EGREP@,$EGREP,;t t
  • ThirdParty/Lapack/trunk/configure.ac

    r75 r94  
    4242
    4343# Check if user wants to produce debugging code
    44 AC_COIN_DEBUG_COMPILE
     44AC_COIN_DEBUG_COMPILE(Lapack)
    4545
    4646# Get the name of the Fortran compiler and appropriate compiler options
Note: See TracChangeset for help on using the changeset viewer.